<template>
    <div class="uk-margin-top">
        <ActionsProfesseur
            v-if="this.$auth.isRoleAutorise('Professeur') && isProfilProfesseur"
            :probleme="probleme"
        />
        <ActionsEleve :probleme="probleme" v-if="!isProfilProfesseur" />
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import ActionsProfesseur from './ActionsProfesseur.vue';
import ActionsEleve from './ActionsEleve.vue';
import { Prop } from 'vue-property-decorator';
@Component({
    components: { ActionsProfesseur, ActionsEleve }
})
export default class Actions extends Vue {
    @Prop() probleme: Record<string, any>;
    @Prop() isProfilProfesseur: boolean;
}
</script>
